> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/device/routing/ospfv2/area/lsdb

> Get OSPFv2 Area specific LSDB Table

## OpenAPI

````json GET /v1/device/routing/ospfv2/area/lsdb
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/device/routing/ospfv2/area/lsdb": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "areaId",
            "in": "query",
            "description": "Valid configured Area ID",
            "required": true,
            "schema": {
              "type": "string",
              "example": "example string"
            },
            "example": "0.0.0.0"
          },
          {
            "name": "deviceId",
            "in": "query",
            "description": "Valid configured device ID > 0",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            },
            "example": 1000000
          },
          {
            "name": "instanceName",
            "in": "query",
            "description": "Valid configured OSPF Instance name",
            "required": true,
            "schema": {
              "type": "string",
              "example": "example string"
            },
            "example": "OSPF1"
          },
          {
            "name": "vrfName",
            "in": "query",
            "description": "Valid configured VRF name",
            "required": true,
            "schema": {
              "type": "string",
              "example": "example string"
            },
            "example": "default"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1DeviceRoutingOspfv2AreaLsdbGetResponse"
                }
              }
            }
          }
        },
        "description": "Get OSPFv2 Area specific LSDB Table"
      }
    }
  },
  "components": {
    "schemas": {
      "v1DeviceRoutingOspfv2AreaLsdbGetResponse": {
        "type": "object",
        "properties": {
          "lsas": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/routingOspflsa"
            }
          },
          "pageInfo": {
            "$ref": "#/components/schemas/commonPageInfo"
          },
          "token": {
            "type": "string",
            "example": "xxxxxxxxx",
            "description": "Reference to the resultset being queried, this should be sent by the service as part of a previous request and so can be opaque to the client."
          }
        },
        "additionalProperties": false
      },
      "routingOspflsa": {
        "type": "object",
        "properties": {
          "advertisingRouter": {
            "type": "string",
            "example": "172.121.12.34",
            "description": "IP address (required)"
          },
          "age": {
            "type": "integer",
            "format": "int32",
            "example": 3242342,
            "minimum": 0,
            "description": "How old is the LSA (required)"
          },
          "asexternalLsa": {
            "$ref": "#/components/schemas/routingOspfasExternalLsa"
          },
          "checksum": {
            "type": "integer",
            "format": "int32",
            "example": 2343232,
            "minimum": 0,
            "description": "LSA Checksum (required)"
          },
          "length": {
            "type": "integer",
            "format": "int32",
            "example": 123132,
            "minimum": 0,
            "description": "LSA length (required)"
          },
          "linkId": {
            "type": "string",
            "example": "143.12.1.5",
            "description": "IP address of link on peer (required)"
          },
          "networkLsa": {
            "$ref": "#/components/schemas/routingOspfNetworkLsa"
          },
          "routerLsa": {
            "$ref": "#/components/schemas/routingOspfRouterLsa"
          },
          "sequenceNumber": {
            "type": "string",
            "example": "0x80000001",
            "description": "LSA sequence number (required)"
          },
          "summaryLsa": {
            "$ref": "#/components/schemas/routingOspfSummaryLsa"
          },
          "type": {
            "type": "string",
            "example": "Router",
            "description": "Type of LSA (required)"
          }
        },
        "additionalProperties": false
      },
      "commonPageInfo": {
        "type": "object",
        "properties": {
          "currentPage": {
            "type": "integer",
            "format": "int32",
            "example": 1,
            "minimum": 0,
            "description": "The page number we are currently on (required)"
          },
          "endCursor": {
            "type": "string",
            "example": "xxxxxxy",
            "description": "Cursor pointing to the last record on the current page"
          },
          "hasNextPage": {
            "type": "boolean",
            "example": true,
            "description": "An indicator whether there is a page after this one in the resultset based on current position"
          },
          "hasPrevPage": {
            "type": "boolean",
            "example": true,
            "description": "An indicator whether there is a page before this one in the resultset based on current position"
          },
          "startCursor": {
            "type": "string",
            "example": "xxxxxx",
            "description": "Cursor pointing to the first record on the current page"
          },
          "totalPages": {
            "type": "integer",
            "format": "int32",
            "example": 4,
            "minimum": 0,
            "description": "The number of pages in the complete resultset based on the current length of the page (required)"
          },
          "totalRecords": {
            "type": "integer",
            "format": "int32",
            "example": 400,
            "minimum": 0,
            "description": "Describes the total number of records in the complete resultset (required)"
          }
        },
        "additionalProperties": false
      },
      "routingOspfasExternalLsa": {
        "type": "object",
        "properties": {
          "forwardingAddress": {
            "type": "string",
            "example": "example string"
          },
          "metric": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "metricType": {
            "type": "string",
            "example": "example string"
          },
          "networkMask": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tag": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tosMetric": {
            "$ref": "#/components/schemas/routingOspflsaTosMetric"
          }
        },
        "additionalProperties": false
      },
      "routingOspfNetworkLsa": {
        "type": "object",
        "properties": {
          "attachedRouters": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "networkMask": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          }
        },
        "additionalProperties": false
      },
      "routingOspfRouterLsa": {
        "type": "object",
        "properties": {
          "links": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/routingOspfRouterLsaLink"
            }
          }
        },
        "additionalProperties": false
      },
      "routingOspfSummaryLsa": {
        "type": "object",
        "properties": {
          "networkMask": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tosMetric": {
            "$ref": "#/components/schemas/routingOspflsaTosMetric"
          }
        },
        "additionalProperties": false
      },
      "routingOspflsaTosMetric": {
        "type": "object",
        "properties": {
          "tos": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tosMetric": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          }
        },
        "additionalProperties": false
      },
      "routingOspfRouterLsaLink": {
        "type": "object",
        "properties": {
          "linkData": {
            "type": "string",
            "example": "example string"
          },
          "linkId": {
            "type": "string",
            "example": "example string"
          },
          "linkType": {
            "type": "string",
            "example": "example string"
          },
          "metric": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "tosMetric": {
            "$ref": "#/components/schemas/routingOspflsaTosMetric"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

